> For the complete documentation index, see [llms.txt](https://docs.payshield.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payshield.ai/txfind-payreveal-order-insight-ican/provider/verifi-provider-order-search.md).

# Verifi Provider Order Search

<mark style="color:green;">`POST`</mark> `https://{baseUrl}/api/v2/provider/verifi/orders`

#### Request Body

## Verifi V3 Provider Search

> Search for an Verifi V3 enabled merchant's transaction details.

```json
{"openapi":"3.0.1","info":{"title":"TxFind API's Version 2 Endpoints","version":"2.0.0"},"tags":[{"name":"Provider","description":"Call related to transaction details."}],"servers":[{"url":"https://{baseUrl}","description":"Current server"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/provider/verifi/orders":{"post":{"tags":["Provider"],"summary":"Verifi V3 Provider Search","description":"Search for an Verifi V3 enabled merchant's transaction details.","operationId":"verifi/Orders","requestBody":{"description":"The supplied JSON payload from Verifi.","content":{"application/json":{"schema":{"type":"object","required":["insightId","verifiEntityInfo","source","paymentType","paymentDescriptor","transactionDate","transactionAmount","transactionRequestId"],"properties":{"insightId":{"maxLength":36,"type":"string","description":"Verifi's unique identifier for the Order Insight request to the network Format = UUID version 3."},"verifiEntityInfo":{"type":"object","properties":{"partnerId":{"type":"number","maxLength":10,"description":"Unique ID for partner in Verifi system."},"clientId":{"type":"number","maxLength":10,"description":"Unique ID for client in Verifi system."}},"required":["partnerId"],"description":"Information related to partners and clients in the Verifi system."},"source":{"maxLength":3,"type":"string","description":"Identifies the source of the Order Lookup Request."},"cardBin":{"maxLength":8,"type":"string","description":"The six or eight-digit card Issuer BIN associated with the purchase."},"cardLast4":{"maxLength":4,"type":"string","description":"The six or eight-digit card Issuer BIN associated with the purchase."},"paymentType":{"maxLength":20,"type":"string","description":"Indicates the payment type of the original purchase."},"paymentDescriptor":{"maxLength":25,"type":"string","description":"The Merchant name component of the billing descriptor which appears on the customer's transaction statement."},"transactionDate":{"maxLength":20,"type":"string","format":"date","description":"ISO 8601 string format without milliseconds (Example = YYYY-MM-DDThh:mm:ssZ)."},"transactionAmount":{"type":"object","properties":{"amount":{"type":"number","maxLength":10,"description":"The amount value, represented as multiples of 0.01"},"currency":{"type":"string","maxLength":3,"description":"Currency of the amount. ISO 4217 3-letter currency code."}},"required":["amount"],"description":"Transaction Amount Object."},"transactionRequestId":{"maxLength":36,"type":"string","description":"Not a unique value, this is a hashed value based on key input fields used to locate a previous request with the same key input fields."}}}}}},"responses":{"200":{"description":"Response","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Error","content":{"application/json":{"schema":{"type":"object","properties":{"msg":{"type":"string"}}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"msg":{"type":"string"}}}}}},"404":{"description":"Order for the given lookup not found","content":{"application/json":{"schema":{"type":"object","properties":{"msg":{"type":"string"}}}}}},"default":{"description":"Error Payload","content":{"application/json":{"schema":{"type":"object"}}}}}}}}}
```

<table><thead><tr><th width="270">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>insightId</td><td>String</td><td>"Please add the description here"</td></tr><tr><td>verifiEntityInfo</td><td>JSON </td><td>"Please add the description here"</td></tr><tr><td>verifiEntityInfo.partnerId</td><td>Number</td><td>"Please add the description here"<br><br>NOTE: This field is inside the verifiEntityInfo JSON</td></tr><tr><td>verifiEntityInfo.clientId</td><td>Number</td><td>"Please add the description here"<br><br>NOTE: This field is inside the verifiEntityInfo JSON</td></tr><tr><td>paymentType</td><td>String</td><td>"Please add the description here"</td></tr><tr><td>paymentDescriptor</td><td>String</td><td>"Please add the description here"</td></tr><tr><td>transactionDate</td><td>Datetime</td><td>"Please add the description here"<br><br>NOTE: Format should be in ISO 8601</td></tr><tr><td>transactionAmount</td><td>JSON</td><td>"Please add the description here"</td></tr><tr><td>transactionAmount.amount</td><td>Number</td><td>"Please add the description here"<br><br>NOTE: This field is inside the transactionAmount JSON</td></tr><tr><td>transactionAmount.currency</td><td>String</td><td>"Please add the description here"<br><br>NOTE: This field is inside the transactionAmount JSON</td></tr><tr><td>cardLast4</td><td>String</td><td>The last 4 digits of the card number associated with the purchase.</td></tr><tr><td>cardBin</td><td>String</td><td>The six-digit card Issuer BIN associated with the purchase.</td></tr><tr><td>transactionRequestId</td><td>String</td><td>The hash value based on key input fields used to locate a previous request with the same key input fields. Format: UUID version 3</td></tr><tr><td>source</td><td>String</td><td>Identifies the source of the Order Request: Order Insight request from an Issuer via a Portal or API request (OrderInsight OIP), Order Insight request from a Cardholder via an Issuer Mobile Application or Digital Channel (Order Insight Digital OIM). Enumerated values: OIP, OIM</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payshield.ai/txfind-payreveal-order-insight-ican/provider/verifi-provider-order-search.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
